#! /bin/sh
# This script is as a workaround to fix letsencrypt chain by removing expired root certificate
# O = Digital Signature Trust Co., CN = DST Root CA X3
if [ -e /etc/letsencrypt/live/$1/chain.pem ]
then
  linktarget=$(readlink /etc/letsencrypt/live/$1/chain.pem)
  /bin/sed -zi 's:-----BEGIN CERTIFICATE-----\nMIIFYDCCBEigAwIBAgIQQAF3ITfU6UK47naqPGQKtzANBgkqhkiG9w0BAQsFADA/.*Dfvp7OOGAN6dEOM4+qR9sdjoSYKEBpsr6GtPAQw4dy753ec5\n-----END CERTIFICATE-----\n::' /etc/letsencrypt/live/$1/$linktarget
fi
